%-------------------------------------------------------------------------------
% \author Jan P Buchmann <jan.buchmann@sydney.edu.au>
% \copyright 2018 The University of Sydney
% convert -density 300  in.pdf out.fig.png
% -------------------------------------------------------------------------------
\documentclass[preview]{standalone}
\usepackage[margin=0mm, paperwidth=131mm, paperheight=290mm]{geometry}
\usepackage{helvet}
\renewcommand{\familydefault}{\sfdefault}
\usepackage[T1]{fontenc}
\usepackage{inconsolata}
\usepackage[utf8]{inputenc}
\usepackage{listings}
\usepackage{array}
\usepackage{booktabs}
\usepackage{colortbl}
\usepackage{subfig}
\usepackage{url}
\usepackage{csquotes}
\usepackage{xspace}
\usepackage{caption}
\usepackage[tracking=true]{microtype}
\usepackage[margin=10pt,font=footnotesize,labelfont=bf]{caption}
  \captionsetup[subfigure]{
    position=top,
    labelformat=simple,
    labelfont={large, bf},
    textfont={footnotesize, bf},
    singlelinecheck=off,
    justification=raggedright}
  \renewcommand{\thesubfigure}{\Alph{subfigure}}
\usepackage{natbib}
\usepackage{graphicx}
\usepackage{../listings.jpb}
%\usepackage{workflows/tikz_styles}
%\newcommand{\entrezpy}{\texttt{entrezpy}\xspace}
%\newcommand{\Entrezpy}{\texttt{Entrezpy}\xspace}
%\newcommand{\exdb}[1]{\textit{#1}\xspace}
%\newcommand{\exfmt}[1]{\textit{#1}\xspace}
%\newcommand{\exorg}[1]{\textit{#1}\xspace}
%\newcommand{\extask}[1]{\textit{#1}\xspace}
%\newcommand{\webenv}{2743NCID}
\makeatletter
  \newbox\sf@box
  \newenvironment{SubFloat}[2][]%
  {
    \def\sf@one{#1}%
    \def\sf@two{#2}%
    \setbox\sf@box\hbox
      \bgroup{}
  }%
  {
    \egroup
    \ifx\@empty\sf@two\@empty\relax
      \def\sf@two{\@empty}
    \fi
    \ifx\@empty\sf@one\@empty\relax
      \subfloat[\sf@two]{\box\sf@box}%
    \else
      \subfloat[\sf@one][\sf@two]{\box\sf@box}%
    \fi
  }
\makeatother


\newsavebox\mylistingbox

\begin{document}
  \begin{figure}
    \begin{SubFloat}{JSON output for taxon 9606
                    \label{fig:label1}}%
      \begin{minipage}[]{\linewidth}%
      \input{../lsts/taxon.lst.tex}
      \end{minipage}
    \end{SubFloat}%

  \begin{SubFloat}{JSON output for accession with uid 1685824073 in the nucleotide database.
                   \label{fig:label2}}
    \begin{minipage}[]{\linewidth}%
      \input{../lsts/accs.lst.tex}
    \end{minipage}%
  \end{SubFloat}

  \begin{SubFloat}{Resolving lineage for taxid 652108 and taxon name "man"
                   \label{fig:label2}}
    \begin{minipage}[]{\linewidth}%
      \input{../lsts/lineage.lst.tex}
    \end{minipage}%
  \end{SubFloat}

  \begin{SubFloat}{Resolving lineage for accession MN069609.1
                   \label{fig:label2}}
    \begin{minipage}[]{\linewidth}%
      \input{../lsts/accmap.lst.tex}
    \end{minipage}%
  \end{SubFloat}

  %\begin{SubFloat}{Mapping accession MH510643, taxid 2499411, and the name "man"\label{fig:label2}}%...verbatim subfigure with
    %\begin{minipage}[]{\linewidth}%
      %\input{../lsts/mapping.lst.tex}
    %\end{minipage}%
  %\end{SubFloat}

  \begin{SubFloat}{Pipeline to create a taxon database from common tree names.
                   \label{fig:label2}}
    \begin{minipage}[]{\linewidth}%
      \input{../lsts/longex.lst.tex}
    \end{minipage}%
  \end{SubFloat}
  \caption{Output and usage examples for thetool. The examples are partially
  shortened for clarity. thetool reports each result on one line as single
  JSON object.
  (A) Depicting taxon output for taxid 9606. (B) Depicting accession output for
  accession MN069609 .1 in the Entrez nucleotide database.
  (B) Example result for resolved lineage for taxid 652108. The names object in
  all taxa has been omitted for clarity.
  (C) Example resolving the lineages for taxid 122929 and the common name "man".
  The lineage taxa are shortened and have the same structure as shown in (A).
  (D) Example for a simple pipeline to resolve the lineage for the taxid
  corresponding to the  accession MN069609.1 in the nucleotide database. The
  result omit full structures for clarity.
  (E) Example of a more complex pipeline to create a local database, a "tree"
  group, and resolve the corresponding lineages from a list of common names,
  e.g. \textquote{Black willow} or \textquote{Black hickory}, via standard
  input. In addition, the use of external external tools, here jq, to manipulate
  the results, is demonstrated.
  \label{fig:label}}
  \end{figure}
\end{document}
